#
# spec file for package bctoolbox
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         sover 0
Name:           bctoolbox
Version:        0.2.0
Release:        3.1
Summary:        Utility library for software from Belledonne Communications
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            https://linphone.org
Source0:        https://github.com/BelledonneCommunications/bctoolbox/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
Patch0:         bctoolbox-pkgconfig_1.patch
Patch1:         bctoolbox-pkgconfig_2.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mbedtls-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(cunit)
BuildRequires:  pkgconfig(zlib)

%description
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

%package devel
Summary:        Development files for %{name}, a utility library for linphone/belle-sip/etc
Group:          Development/Languages/C and C++
Requires:       cmake
Requires:       lib%{name}%{sover} = %{version}
Requires:       lib%{name}-tester%{sover} = %{version}
Requires:       mbedtls-devel
Requires:       pkgconfig(cunit)
Requires:       pkgconfig(zlib)

%description devel
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package contains development files.

%package -n lib%{name}%{sover}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries

%description -n lib%{name}%{sover}
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library.

%package -n lib%{name}-tester%{sover}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries

%description -n lib%{name}-tester%{sover}
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library for testing component.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i "s|CUnit 3.0|CUnit 2.0|g" CMakeLists.txt

%build
%cmake \
  -DMBEDTLS_V2=yes \
  -DENABLE_TESTS_COMPONENT=yes \
  -DENABLE_TESTS=yes \
  -DENABLE_STATIC=no
make %{?_smp_mflags}

%install
%cmake_install

%post -n lib%{name}%{sover} -p /sbin/ldconfig
%postun -n lib%{name}%{sover} -p /sbin/ldconfig
%post -n lib%{name}-tester%{sover} -p /sbin/ldconfig
%postun -n lib%{name}-tester%{sover} -p /sbin/ldconfig

%files -n lib%{name}%{sover}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib%{name}.so.%{sover}*

%files -n lib%{name}-tester%{sover}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib%{name}-tester.so.%{sover}*

%files devel
%defattr(-,root,root)
%doc COPYING README AUTHORS
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/bctoolbox-tester.pc
%{_libdir}/lib%{name}-tester.so

%changelog
* Sat Aug 27 2016 jengelh@inai.de
- Remove extraneous pkgconfig require
* Sat Aug 27 2016 mpluskal@suse.com
- Merge changes from home:X0F:HSF
- Fix generation of pkgconfig files
  * bctoolbox-pkgconfig_1.patch
  * bctoolbox-pkgconfig_2.patch
* Mon Aug 15 2016 jengelh@inai.de
- Update summary and rpm groups
* Fri Aug 12 2016 mpluskal@suse.com
- Initial package for version 0.2.0
